Bug 85119 - Multiple lines of rotated RTL text in one paragraph rendered incorrectly
Summary: Multiple lines of rotated RTL text in one paragraph rendered incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-10-17 04:33 UTC by Matthew Francis
Modified: 2018-11-05 03:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document 1 (90 degrees) (8.40 KB, application/vnd.oasis.opendocument.text)
2014-10-17 04:34 UTC, Matthew Francis
Details
Test document 2 (270 degrees) (8.51 KB, application/vnd.oasis.opendocument.text)
2014-10-17 04:35 UTC, Matthew Francis
Details
Screenshot of 90 degree text (84.31 KB, image/png)
2014-10-17 04:37 UTC, Matthew Francis
Details
Screenshot of 270 degree text (85.26 KB, image/png)
2014-10-17 04:37 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-10-17 04:33:33 UTC
A paragraph of rotated, right-to-left text containing multiple lines is rendered incorrectly

Steps to reproduce:
1. Create a single paragraph with multiple lines (using Shift-Return)
2. Select the text
3. Set text rotation to 90deg or 270deg in the Position tab of the Format – Character... dialog
4. Set text direction to Right-to-Left using the toolbar icon or the Alignment tab of Format – Paragraph...

See attached documents and images

Reproduced on LibreOffice 3.3.0 - 4.4 master on OSX and Linux
Comment 1 Matthew Francis 2014-10-17 04:34:59 UTC
Created attachment 107968 [details]
Test document 1 (90 degrees)
Comment 2 Matthew Francis 2014-10-17 04:35:22 UTC
Created attachment 107969 [details]
Test document 2 (270 degrees)
Comment 3 Matthew Francis 2014-10-17 04:37:20 UTC
Created attachment 107970 [details]
Screenshot of 90 degree text
Comment 4 Matthew Francis 2014-10-17 04:37:46 UTC
Created attachment 107971 [details]
Screenshot of 270 degree text
Comment 5 Matthew Francis 2014-10-17 04:39:02 UTC
Note also that the vertically displayed part of the text becomes visible / invisible at random when scrolling and zooming the page
Comment 6 Buovjaga 2014-11-15 08:47:03 UTC
I confirm everything Matthew said, even the random visibility when scrolling.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 7 QA Administrators 2015-12-20 16:17:13 UTC Comment hidden (obsolete)
Comment 8 Omer Zak 2017-11-04 21:05:37 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


I noticed that text which disappears during scrolling - shows up again when the window is resized.
Comment 9 QA Administrators 2018-11-05 03:43:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug